Package twisted :: Package web :: Module vhost :: Class NameVirtualHost |
[frames | no frames]

## Class NameVirtualHost

    Resource --+
               |
              NameVirtualHost

I am a resource which represents named virtual hosts.

Method Summary
| ``__init__`(self)` Initialize.
| ``_getResourceForRequest`(self, request)` (Internal) Get the appropriate resource for the given host.
| ``addHost`(self, name, resrc)` Add a host to this virtual host.
| ``getChild`(self, path, request)` Implementation of resource.Resource's getChild method.
| `getStaticEntity(self, name)`
| `listStaticEntities(self)`
| ``removeHost`(self, name)` Remove a host.
| ``render`(self, request)` Implementation of resource.Resource's render method.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`

Class Variable Summary
`NoneType` | `default` = None
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`int` | `isLeaf` = 0
`NoneType` | `server` = None

Method Details

### __init__(self) (Constructor) Initialize. Overrides: `twisted.web.resource.Resource.__init__`

### _getResourceForRequest(self, request) (Internal) Get the appropriate resource for the given host.

### addHost(self, name, resrc) Add a host to this virtual host. This will take a host named `name', and map it to a resource `resrc'. For example, a setup for our virtual hosts would be:
       nvh.addHost('divunal.com', divunalDirectory)
       nvh.addHost('www.divunal.com', divunalDirectory)
       nvh.addHost('twistedmatrix.com', twistedMatrixDirectory)
       nvh.addHost('www.twistedmatrix.com', twistedMatrixDirectory)

### getChild(self, path, request) Implementation of resource.Resource's getChild method. Overrides: `twisted.web.resource.Resource.getChild`

### removeHost(self, name) Remove a host.

### render(self, request) Implementation of resource.Resource's render method. Overrides: `twisted.web.resource.Resource.render`

Class Variable Details

    ### default Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net